/// <reference types="react" />
import "./styles/highlighter.css";
declare type XPathAttributes = {
    startContainer: string;
    endContainer: string;
    endOffset: number;
    startOffset: number;
};
declare type Annotation = {
    text?: string;
    metadata: {
        xpath?: XPathAttributes;
        text: string;
        color?: string;
    };
};
declare enum AnnotationType {
    Highlight = 0,
    MessageHighlight = 1
}
declare type HighlightParams = {
    xpath: XPathAttributes;
    text: string;
    type?: AnnotationType;
    color?: string;
};
export declare type HighlighterProps = {
    createAnnotation: (params: HighlightParams) => Promise<void>;
    removeAnnotation: (params: HighlightParams) => Promise<void>;
    annotations: Annotation[];
    commentSection: (params: {
        color: string;
        text: string;
    }) => Promise<void>;
};
export declare const Highlighter: React.FC<HighlighterProps>;
export {};
//# sourceMappingURL=Highlighter.d.ts.map